﻿/* https://bootsnipp.com/snippets/x8pBm */

.material-switch {
    height: 40px;
    margin-bottom: 30px;
    margin-top: 10px;
	margin-right: 20px;	
}

.material-switch > input[type="checkbox"] {
    display: none;   
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative; 
    width: 70px;  
}

.material-switch > label .label-yes,
.material-switch > label .label-no {
    position: absolute;
    top: 0;
    line-height: 32px;
    display: block;
    color: #fff;
}

.material-switch > label .label-yes {
    left: 10px;
}

.material-switch > label .label-no {
    right: 11px;
}

.material-switch > label::before {
    background-color: #ccc;
    border-radius: 20px;
    content: '';
    height: 30px;
    position:absolute;
    transition: all 0.4s ease-in-out;
    width: 68px;
}
.material-switch > label::after {
    background: #fff;
    border-radius: 50%;
    border: solid 1px #ccc;
    content: '';
    height: 35px;
    left: 0;
    position: absolute;
    top: -2px;
    transition: all 0.3s ease-in-out;
    width: 35px;
}
.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    background-color: #2d527e;
}
.material-switch > input[type="checkbox"]:checked + label::after {
    left: 38px;
}